BAREOS-DBCOPY(8)

NAME
bareos-dbcopy - bareos-dbcopy

SYNOPSIS

bareos-dbcopy [options] <sourcecatalog> <destinationcatalog>

DESCRIPTION

bareos-dbcopy copies the data of all tables from the Bareos catalog <sourcecatalog> into the Bareos catalog <destinationcatalog>.

bareos-dbcopy reads the Bareos director configuration from /etc/bareos to load the catalog settings. A configuration resource for both <sourcecatalog> and <destinationcatalog> must exist.

The main use of bareos-dbcopy is to migrate an existing Bareos installation from a mysql/mariadb catalog to postgresql.

bareos-dbcopy only copies the data over to the new catalog. The <destinationcatalog> needs to be created and initialized with the correct tables and columns via create_bareos_database, make_bareos_tables and grant_bareos_privileges. Both sourcecatalog and destinationcatalog need to have the same database scheme version, i.e. have the schema from the identical Bareos version..

OPTIONS

-c <configuration directory>
    bareos-dbcopy reads the director configuration from the given <configuration directory> instead of /etc/bareos

-e  Examine and verify every single data record of each table after copying. This can take a very long time. Without -e, only the first and last record of each database is examined and verified.

-?  Prints usage information

AUTHOR
Bareos GmbH & Co. KG

COPYRIGHT
2019 Bareos GmbH & Co. KG and others.